﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using C1.Win.C1FlexGrid;

namespace WrapTenCharacters_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            c1FlexGrid1.Rows[1].Height = 60;
            c1FlexGrid1.Cols[1].Width = 150;
            c1FlexGrid1.DrawMode = DrawModeEnum.OwnerDraw;
            c1FlexGrid1.OwnerDrawCell += new C1.Win.C1FlexGrid.OwnerDrawCellEventHandler(c1FlexGrid1_OwnerDrawCell);
        }

        void c1FlexGrid1_OwnerDrawCell(object sender, C1.Win.C1FlexGrid.OwnerDrawCellEventArgs e)
        {
            if (e.Col == 1 & e.Row == 1)
            {
                dynamic builder = new StringBuilder();
                dynamic lines = e.Text.Split(Convert.ToChar("\n"));
                foreach (string line in lines)
                {
                    for (int index = 0; index <= line.Length - 1; index++)
                    {
                        builder.Append(line[index]);
                        if (index % 10 == 9)
                        {
                            builder.Append("\n");
                        }
                    }
                }
                dynamic brush = new SolidBrush(e.Style.ForeColor);
                dynamic rect = new Rectangle(e.Bounds.Location, new Size(e.Bounds.Width, e.Bounds.Height));
                e.Graphics.DrawString(builder.ToString(), e.Style.Font, brush, rect);
                brush.Dispose();
                e.Handled = true;
            }


        }
    }
}
